Get booking data
curl --request GET \
--url https://api.halth.com/v1/organisations/{organisationId}/booking-data{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"bookingsEnabled": true,
"brandImageUrl": "<string>",
"services": [
{
"id": "<string>",
"name": "<string>",
"durationMinutes": 123,
"price": 123,
"providerIds": [
"<string>"
],
"locationIds": [
"<string>"
],
"maxAttendees": 123,
"description": "<string>",
"category": "<string>",
"itemCode": "<string>"
}
],
"locations": [
{
"id": "<string>",
"name": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"suburb": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"country": "<string>",
"countryCode": "<string>"
},
"businessId": "<string>"
}
],
"providers": [
{
"id": "<string>",
"locationIds": [
"<string>"
],
"firstName": "<string>",
"lastName": "<string>",
"profileImageUrl": "<string>"
}
],
"bookingSettings": {
"notesEnabled": true,
"cancellationFeeEnabled": true,
"cancellationFeeAutoChargeEnabled": true,
"paymentDetailsRequired": true,
"bookingNotificationsEnabled": true,
"providerBookingNotificationsEnabled": true,
"healthFundCardCollectionEnabled": true,
"cancellationFeeAmount": 100,
"cancellationFeePercent": 10,
"cancellationNoFeeBeforeHours": 24,
"googleTagManagerContainerId": "GTM-123456"
},
"businesses": [
{
"id": "<string>",
"capabilities": [
{}
]
}
]
}Booking
Get booking data
Get a public-facing summary of an organisation, locations, providers, services, and booking settings.
GET
/
v1
/
organisations
/
{organisationId}
/
booking-data
Get booking data
curl --request GET \
--url https://api.halth.com/v1/organisations/{organisationId}/booking-data{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"bookingsEnabled": true,
"brandImageUrl": "<string>",
"services": [
{
"id": "<string>",
"name": "<string>",
"durationMinutes": 123,
"price": 123,
"providerIds": [
"<string>"
],
"locationIds": [
"<string>"
],
"maxAttendees": 123,
"description": "<string>",
"category": "<string>",
"itemCode": "<string>"
}
],
"locations": [
{
"id": "<string>",
"name": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"suburb": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"country": "<string>",
"countryCode": "<string>"
},
"businessId": "<string>"
}
],
"providers": [
{
"id": "<string>",
"locationIds": [
"<string>"
],
"firstName": "<string>",
"lastName": "<string>",
"profileImageUrl": "<string>"
}
],
"bookingSettings": {
"notesEnabled": true,
"cancellationFeeEnabled": true,
"cancellationFeeAutoChargeEnabled": true,
"paymentDetailsRequired": true,
"bookingNotificationsEnabled": true,
"providerBookingNotificationsEnabled": true,
"healthFundCardCollectionEnabled": true,
"cancellationFeeAmount": 100,
"cancellationFeePercent": 10,
"cancellationNoFeeBeforeHours": 24,
"googleTagManagerContainerId": "GTM-123456"
},
"businesses": [
{
"id": "<string>",
"capabilities": [
{}
]
}
]
}Path Parameters
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
